[meta-freescale] [meta-fsl-arm][PATCH 2/2] scripts/get-maintainer: use `exit' instead of `return'

Mario Domenech Goulart mario at ossystems.com.br
Fri Apr 25 06:38:57 PDT 2014


`return' can only be used from within function scope or from source'd
scripts.

Signed-off-by: Mario Domenech Goulart <mario at ossystems.com.br>
---
 scripts/get-maintainer |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/scripts/get-maintainer b/scripts/get-maintainer
index 1c5be02..5b82e35 100755
--- a/scripts/get-maintainer
+++ b/scripts/get-maintainer
@@ -47,7 +47,7 @@ done
 
 if [ -z "$path" ]; then
 	usage
-	return 1
+	exit 1
 fi
 
 maintained=`mktemp`
-- 
1.7.10.4



More information about the meta-freescale mailing list